Bug 8338 - MAC Lion - smbclient "Open AndX Request->STATUS_NOT_SUPPORTED
MAC Lion - smbclient "Open AndX Request->STATUS_NOT_SUPPORTED
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-07-29 19:40 UTC by Jeremy Allison
Modified: 2012-04-12 19:45 UTC (History)
2 users (show)

See Also:


Attachments
git-am for 3.6.0 (22.89 KB, patch)
2011-07-29 19:43 UTC, Jeremy Allison
no flags Details
git-am fix for 3.6.0 (22.90 KB, patch)
2011-07-29 22:32 UTC, Jeremy Allison
vl: review+
Details
git-am fix for 3.5.11 (21.73 KB, patch)
2011-07-29 22:45 UTC, Jeremy Allison
vl: review+
Details
Mac OSX LION samba server and smbclient tcpdump result. (4.48 MB, application/octet-stream)
2011-09-13 10:51 UTC, Le Van Thang
no flags Details
Patch (1.20 KB, patch)
2011-09-20 21:17 UTC, Volker Lendecke
jra: review+
Details
Patch for 3.6 (1.31 KB, patch)
2011-09-21 01:43 UTC, Volker Lendecke
jra: review+
Details
Patch for 3.5 (1.57 KB, patch)
2011-09-21 01:53 UTC, Volker Lendecke
jra: review+
Details
packet dump demonstrating NT_STATUS_PIPE_BROKEN (6.86 KB, application/octet-stream)
2012-03-14 17:21 UTC, Benjamin Kay
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-07-29 19:40:37 UTC
The MAC Lion server doesn't support Open&X calls.

Patch from Volker for 3.6.0 to follow.

Jeremy.
Comment 1 Jeremy Allison 2011-07-29 19:43:49 UTC
Created attachment 6732 [details]
git-am for 3.6.0

I have reviewed this patch and I'm happy with it for 3.6.0. Volker, please decide if you want it in 3.6.0 (August 9th) or 3.6.1.

Jeremy.
Comment 2 Jeremy Allison 2011-07-29 22:32:46 UTC
Created attachment 6734 [details]
git-am fix for 3.6.0

Very slightly modified version of your patch that adds the "return;" statement after tevent_req_done(req); in cli_open_done().

Jeremy.
Comment 3 Jeremy Allison 2011-07-29 22:45:34 UTC
Created attachment 6735 [details]
git-am fix for 3.5.11

Version of your patch back-ported to 3.5.x.

Jeremy.
Comment 4 Volker Lendecke 2011-07-31 17:36:37 UTC
Comment on attachment 6734 [details]
git-am fix for 3.6.0

Not sure if this is 3.6.0 material, I'd rather say 3.6.1.
Comment 5 Jeremy Allison 2011-08-01 20:01:45 UTC
Ok - re-assigning to Karolin for inclusion in 3.6.1

Karolin - NB - this is *NOT* for 3.6.0.

Cheers.

Jeremy.
Comment 6 Karolin Seeger 2011-08-18 18:46:25 UTC
Pushed to v3-6-test and v3-5-test.
Will be included in 3.6.1 and 3.5.12.
Closing out bug report.

Thanks!
Comment 7 Le Van Thang 2011-09-09 09:26:36 UTC
Hello,

Thank you for providing the patch, I really need it.

I've compiled the source code with your patch in MacOSX and Ubuntu 11.4. After that, I run the smbclient to connect to my MacBookPro that running MacOSX lion, and here is the result:
1) smbclient connect to MacOSX lion normally.
2) ls, cd, mkdir, mv commands work fine.
3) put command works fine
4) get command failed with the error code NT_STATUS_PIPE_BROKEN
The problem occurs with all MacOSX lion and all ubuntu version.
I've tried to debug the problem but did not success. Could you help me to resolve the problem?
Thank you very much.

Best regards,
Comment 8 Volker Lendecke 2011-09-09 09:34:06 UTC
(In reply to comment #7)
> Hello,
> 
> Thank you for providing the patch, I really need it.
> 
> I've compiled the source code with your patch in MacOSX and Ubuntu 11.4. After
> that, I run the smbclient to connect to my MacBookPro that running MacOSX lion,
> and here is the result:
> 1) smbclient connect to MacOSX lion normally.
> 2) ls, cd, mkdir, mv commands work fine.
> 3) put command works fine
> 4) get command failed with the error code NT_STATUS_PIPE_BROKEN
> The problem occurs with all MacOSX lion and all ubuntu version.
> I've tried to debug the problem but did not success. Could you help me to
> resolve the problem?
> Thank you very much.
> 
> Best regards,

Please upload a network trace. Info can be found under

http://wiki.samba.org/index.php/Capture_Packets
Comment 9 Le Van Thang 2011-09-13 10:51:37 UTC
Created attachment 6882 [details]
Mac OSX LION samba server and smbclient tcpdump result.
Comment 10 Le Van Thang 2011-09-13 10:54:02 UTC
Hello,

I've uploaded the network trace for both osx lion samba server and smbclient. Please check.

Thank you very much!

PS: The network trace is made by tcpdump on OSX.
Comment 11 Volker Lendecke 2011-09-13 15:01:22 UTC
Thanks for the traces. smbclient fires off a few read requests simultaneously, and lion just closes the connection. I don't see what smbclient is doing wrong here. I've contacted an Apple developer about this issue, but we might need to go through Apple support to get this resolved.

Volker
Comment 12 Volker Lendecke 2011-09-20 21:17:00 UTC
Created attachment 6920 [details]
Patch

This should fix the "get" problem, on its way to master.
Comment 13 Jeremy Allison 2011-09-21 00:59:06 UTC
Comment on attachment 6920 [details]
Patch

Patch is good for master, need back-porting for 3.6.1 and 3.5.next.
Jeremy.
Comment 14 Volker Lendecke 2011-09-21 01:43:29 UTC
Created attachment 6921 [details]
Patch for 3.6
Comment 15 Jeremy Allison 2011-09-21 01:46:37 UTC
Comment on attachment 6921 [details]
Patch for 3.6

Looks good to me for 3.6.1.
Comment 16 Volker Lendecke 2011-09-21 01:53:53 UTC
Created attachment 6923 [details]
Patch for 3.5
Comment 17 Jeremy Allison 2011-09-21 01:57:10 UTC
Comment on attachment 6923 [details]
Patch for 3.5

Looks good to me for 3.5.next.
Jeremy.
Comment 18 churnd 2012-02-10 18:48:37 UTC
(In reply to comment #7)
> Hello,
> 
> Thank you for providing the patch, I really need it.
> 
> I've compiled the source code with your patch in MacOSX and Ubuntu 11.4. After
> that, I run the smbclient to connect to my MacBookPro that running MacOSX lion,
> and here is the result:
> 1) smbclient connect to MacOSX lion normally.
> 2) ls, cd, mkdir, mv commands work fine.
> 3) put command works fine
> 4) get command failed with the error code NT_STATUS_PIPE_BROKEN
> The problem occurs with all MacOSX lion and all ubuntu version.
> I've tried to debug the problem but did not success. Could you help me to
> resolve the problem?
> Thank you very much.
> 
> Best regards,

I downloaded & compiled the latest SAMBA 3.6.3 due to the same problems others have had with smbclient.  I am having the same problem as the person above, even though I can see a patch was released for it.  Does 3.6.3 have this patch?  Do I have to patch myself or revert to an older version?
Comment 19 Benjamin Kay 2012-03-14 17:21:06 UTC
Created attachment 7387 [details]
packet dump demonstrating NT_STATUS_PIPE_BROKEN

Please re-open this bug!

(In reply to comment #18)
> (In reply to comment #7)
> > 4) get command failed with the error code NT_STATUS_PIPE_BROKEN
> 
> I downloaded & compiled the latest SAMBA 3.6.3 due to the same problems others
> have had with smbclient.  I am having the same problem as the person above,
> even though I can see a patch was released for it.  Does 3.6.3 have this patch?
>  Do I have to patch myself or revert to an older version?

This bug is "fixed" in SAMBA 3.6.1 according to the release notes:
ftp://ftp.samba.org/pub/unpacked/samba_3_next/WHATSNEW.txt
This seems reasonable, since 3.6.1 was released in October of 2011 and the last patch on this bug report appeared in September of 2011.

However, like the user in the previous comment, I still get the NT_STATUS_PIPE_BROKEN error when using the get command with SAMBA 3.6.3 . A (probably redudant) packet dump is attached (passwords changed to protect the innocent).

This is apparently because Volker Lendecke's patches (attachments 6920, 6921), while in SVN master, apparently never made it into SAMBA 3.6.1. I'm sorry if I'm missing it, but they don't appear to be in SAMBA 3.6.3 either. Check the archives:
http://ftp.samba.org/pub/samba/old-versions/

Could someone please re-open this bug until a version of SAMBA with all of the necessary patches is released?
Comment 20 Jeremy Allison 2012-03-14 17:35:22 UTC
Oops. Yes, you're correct. Attachment 6921 [details] didn't make it into 3.6.x and 6923 didn't make it into 3.5.next.

I'll ping Karolin directly to make sure this gets added.

Jeremy.
Comment 21 Karolin Seeger 2012-03-19 13:40:30 UTC
(In reply to comment #20)
> Oops. Yes, you're correct. Attachment 6921 [details] didn't make it into 3.6.x and 6923
> didn't make it into 3.5.next.
> 
> I'll ping Karolin directly to make sure this gets added.
> 
> Jeremy.

Pushed both patches.
Closing out bug report.

Thanks!
Comment 22 Benjamin Kay 2012-04-12 19:40:39 UTC
Was this supposed to have been fixed in 3.6.4? The patch in Attachment 6921 [details] still isn't applied to source3/libsmb/clireadwrite.c in 3.6.4.
Comment 23 Jeremy Allison 2012-04-12 19:45:56 UTC
No, 3.6.4 was a security release only. We do not make any other changes in a security release other than the specific fix for the security issue.

This will be fixed in the next release (unless that is also a security release).

Jeremy.